Pin/unpin an event

Base URL
https://{kibana_url}
  • PATCH /api/pinned_event
Auth

Pin/unpin an event to/from an existing Timeline.

Request body

The pinned event to add or unpin, along with additional metadata.

eventId string required

The _id of the associated event for this pinned event.

pinnedEventId string nullable

The savedObjectId of the pinned event you want to unpin.

timelineId string required

The savedObjectId of the timeline that you want this pinned event unpinned from.

Response

Indicates a successful call.

application/json
One of:
created number nullable

The time the pinned event was created, using a 13-digit Epoch timestamp.

createdBy string nullable

The user who created the pinned event.

updated number nullable

The last time the pinned event was updated, using a 13-digit Epoch timestamp

updatedBy string nullable

The user who last updated the pinned event

eventId string required

The _id of the associated event for this pinned event.

timelineId string required

The savedObjectId of the timeline that this pinned event is associated with

pinnedEventId string required

The savedObjectId of this pinned event

version string required

The version of this pinned event

Base URL
https://{kibana_url}